package bin;

import kernel.service.ServiceManager;
import kernel.log.Log;
import kernel.Timer;
import kernel.ps.ProcessHandle;
import kernel.ps.Process;

class HelloWorldService implements Process {
    public function new() {}

	public function run(handle:ProcessHandle) {
        Log.debug("HelloWorldService started");
        handle.write("Hello World! Started\n");
        // this.startTimer(handle);
        var srv: HelloWorldService =  ServiceManager.instance.get("HelloWorldService");
        srv.startTimer(handle);
    }

    public function startTimer(handle: ProcessHandle) {
        new Timer(1000, function() {
            handle.write("Hello World!\n");
            this.startTimer(handle);
        });
    }
}